%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)" 2>/dev/null)}
%{?!pybasever: %global pybasever %(%{__python} -c "import sys; print sys.version[:3]" 2>/dev/null || echo 0.0)}

Name:		python-twisted-words
Version:	10.0.0
Release:	2.0.cf%{?dist}
Summary:	Twisted Words contains Instant Messaging implementations
Group:		Development/Libraries
License:	MIT
URL:		http://twistedmatrix.com/trac/wiki/TwistedWords
Source0:	http://tmrc.mit.edu/mirror/twisted/Words/10.0/TwistedWords-%{version}.tar.bz2
Patch0:		changeset_r29852.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python-twisted-core >= 10.0.0, python-devel
%if "%{pybasever}" == "2.3"
Requires: python-abi = 2.3
%endif
Requires:	python-twisted-core >= 10.0.0, python-twisted-web

# a noarch-turned-arch package should not have debuginfo
%global debug_package %{nil}

%description
Twisted is an event-based framework for Internet applications.

Twisted Words contains implementations of many Instant Messaging protocols,
including IRC, Jabber, MSN, OSCAR (AIM & ICQ), TOC (AOL), and some
functionality for creating bots, inter-protocol gateways, and a client
application for many of the protocols.

In support of Jabber, Twisted Words also contains X-ish, a library for
processing XML with Twisted and Python, with support for a Pythonic DOM and
an XPath-like toolkit.

%prep
%setup -n TwistedWords-%{version} -q

# Fix crash on space-containing xmlns IRI (#603800)
%patch0 -p2 -b .29852

# Fix doc permissions
%{__chmod} -x doc/examples/oscardemo.py

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}

# This is a pure python package, but extending the twisted namespace from
# python-twisted-core, which is arch-specific, so it needs to go in sitearch
%{__python} setup.py install -O1 --install-purelib %{python_sitearch} --skip-build --root %{buildroot}

# See if there's any egg-info
if [ -f %{buildroot}%{python_sitearch}/Twisted_Words-%{version}-py%{pybasever}.egg-info ]; then
	echo %{python_sitearch}/Twisted_Words-%{version}-py%{pybasever}.egg-info
fi > egg-info

%clean
%{__rm} -rf %{buildroot}

%post
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
	%{_libexecdir}/twisted-dropin-cache || :
fi

%postun
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
	%{_libexecdir}/twisted-dropin-cache || :
fi

%files -f egg-info
%defattr(-,root,root,-)
%doc README LICENSE doc/* NEWS
%{python_sitearch}/twisted/words/
%{python_sitearch}/twisted/plugins/twisted_words.py*

%changelog
* Fri Oct  1 2010 Paul Howarth <paul@city-fan.org> 10.0.0-2.0.cf
- fix crash on space-containing xmlns IRI (#603800)

* Thu Mar  4 2010 Paul Howarth <paul@city-fan.org> 10.0.0-1.0.cf
- update to 10.0.0 (see NEWS for details)

* Wed Nov 25 2009 Paul Howarth <paul@city-fan.org> 9.0.0-1.0.cf
- update to 9.0.0
- im removed upstream since it used GTK+ version 1

* Tue Aug 11 2009 Paul Howarth <paul@city-fan.org> 8.2.0-3.0.cf
- define RPM macros in global scope
- tidy up egg-info handling

* Sun Jul 26 2009 Paul Howarth <paul@city-fan.org> 8.2.0-2.0.cf
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jan 16 2009 Paul Howarth <paul@city-fan.org> 8.2.0-1.0.CF
- update to 8.2.0
- make sure the scriplets never return a non-zero exit status
- remove no longer installed t-im man page

* Mon May 19 2008 Paul Howarth <paul@city-fan.org> 8.1.0-1
- update to 8.1.0

* Tue Apr  1 2008 Paul Howarth <paul@city-fan.org> 8.0.0-1
- update to 8.0.0
- handle egg-info if present

* Wed Jan 10 2007 Paul Howarth <paul@city-fan.org> 0.5.0-1
- update to 0.5.0
- require python-twisted-core >= 2.5.0
- include NEWS

* Thu Jan  4 2007 Paul Howarth <paul@city-fan.org> 0.4.0-5
- update URL
- include LICENSE
- include %%post and %%postun scriptlets to maintain the dropin cache

* Tue Dec 12 2006 Paul Howarth <paul@city-fan.org> 0.4.0-4
- reinstate tabs
- reinstate python-devel buildreq for python 2.5 on Rawhide

* Mon Sep  4 2006 Paul Howarth <paul@city-fan.org> 0.4.0-3
- don't ghost .pyo files
- remove unnecessary python-devel buildreq
- don't generate debuginfo package
- update summary and description

* Fri Jun  9 2006 Paul Howarth <paul@city-fan.org> 0.4.0-2
- build as arch-specific package for proper integration with twisted-core
  (see http://www.redhat.com/archives/fedora-extras-list/2006-June/msg00264.html)
- script the python files list generation to clean up the spec

* Sun May 28 2006 Paul Howarth <paul@city-fan.org> 0.4.0-1
- update to 0.4.0
- add python-twisted-web dep for MSN usage

* Thu May 11 2006 Paul Howarth <paul@city-fan.org> 0.3.0-2
- add missing buildreq python-twisted-words

* Wed May 10 2006 Paul Howarth <paul@city-fan.org> 0.3.0-1
- import from PyVault Repository
- rewrite in Fedora Extras style
- update to 0.3.0
- drop dep on python-twisted-xish, now bundled

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-2
- disttag

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a2
- prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- prep for split

